Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
[Java] Class DefaultGrailsBootstrapClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.commons.DefaultGrailsBootstrapClass

All Implemented Interfaces:
  GrailsBootstrapClass

    @java.lang.SuppressWarnings("serial")
    public class DefaultGrailsBootstrapClass
    extends AbstractGrailsClass

Field Summary
`static java.lang.String` | `BOOT_STRAP`

Fields inherited from class AbstractGrailsClass
grailsApplication

Constructor Summary
`DefaultGrailsBootstrapClass(java.lang.Class clazz)`

Method Summary
`void` | `callDestroy()`
`void` | `callInit(javax.servlet.ServletContext servletContext)`
`groovy.lang.Closure` | `getDestroyClosure()`
`groovy.lang.Closure` | `getInitClosure()`

Methods inherited from class AbstractGrailsClass
getClazz, getFullName, getGrailsApplication, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReference, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isAbstract, isActionMethod, isReadableProperty, newInstance, setGrailsApplication, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### BOOT_STRAP

    public static final java.lang.String BOOT_STRAP

Constructor Detail

### DefaultGrailsBootstrapClass

    public DefaultGrailsBootstrapClass(java.lang.Class clazz)

Method Detail

### callDestroy

    public void callDestroy()

### callInit

    public void callInit(javax.servlet.ServletContext servletContext)

### getDestroyClosure

    public groovy.lang.Closure getDestroyClosure()

### getInitClosure

    public groovy.lang.Closure getInitClosure()

Groovy Documentation